org.apache.ignite.internal.visor.cache

## Class VisorCacheTypeFieldMetadata

- java.lang.Object
- - org.apache.ignite.internal.visor.cache.VisorCacheTypeFieldMetadata

All Implemented Interfaces:
  Serializable

    public class VisorCacheTypeFieldMetadata
    extends Object
    implements Serializable

Data transfer object for `CacheTypeFieldMetadata`.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`VisorCacheTypeFieldMetadata()`

### Method Summary

Methods
`String` `dbName()`
`int` `dbType()`
`static VisorCacheTypeFieldMetadata` `from(CacheTypeFieldMetadata f)`
`String` `javaName()`
`String` `javaType()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VisorCacheTypeFieldMetadata

    public VisorCacheTypeFieldMetadata()

### Method Detail

#### from

    public static VisorCacheTypeFieldMetadata from(CacheTypeFieldMetadata f)

Parameters:
  `f` - Actual field metadata.
Returns:
  Data transfer object for given cache field metadata.

#### dbName

    public String dbName()

Returns:
  Column name in database.

#### dbType

    public int dbType()

Returns:
  Column JDBC type in database.

#### javaName

    public String javaName()

Returns:
  Field name in java object.

#### javaType

    public String javaType()

Returns:
  Corresponding java type.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.3.0-incubating
Release Date | : July 10 2015